Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.management.deployment
Interface AppViewDeploymentMBean

All Superinterfaces:
  weblogic.management.configuration.ConfigurationMBean, weblogic.descriptor.DescriptorBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, weblogic.descriptor.SettableBean, weblogic.management.WebLogicMBean

    public interface AppViewDeploymentMBean

extends weblogic.management.configuration.ConfigurationMBean

MBean for managing ApplicationView deployment properties

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`void` | `applyServiceConnectionChanges()` Apply any changes to pending connection attributes.
`void` | `autoSuspend()` Internal use only.
`IApplicationViewDescriptor` | `getApplicationViewDescriptor()` This attribute holds all the metadata known about the AppView and can be serialized to/from an XML document (is also Serializable).
`String` | `getAppName()` Name of the J2EE application that contains the AppView this MBean represents.
`String` | `getAppViewID()` Name of the ApplicationView this MBean represents (derived from appName and descriptor.getQualifiedName().toString().
`Integer` | `getAutoSuspendTimeout()` The number of seconds AI should allow an auto-suspend to last.
`Object` | `getCauseOfCurrentState()` The throwable/exception or String description that caused the AppView to be in the current state (‘Deploy Failed’ and ‘Suspended’ only) or null if the AppView is in none of these states.
`Integer` | `getDeployState()` Logical state of this AppView (‘Deployed’, ‘Undeployed’, ‘Deploying’, ‘Undeploying’, 'Deploy Failed', 'Suspending', ‘Suspended’, 'Resuming').
`String` | `getDescription()` Description of this AppView or null if none was given.
`String` | `getEventAdapterInstanceID()` The ID of adapter instance this AppView is using for the delivery of events.
`String` | `getInheritedPolicy()` A WLS policy expression inherited from the base EJB resource.
`String[]` | `getPolicy()` A list of role names (defined in WLI User Management) that are allowed to use this ApplicationView (use is defined as invoking services, and subscribing for and receiving events).
`String[]` | `getServerList()` The list of servers (managed server names) on which this ApplicationView is present (in some state that may be Deploying, Resuming, Undeploying, etc.).
`String` | `getServiceAdapterInstanceID()` The ID of the adapter instance this AppView is using for the invocation of services.
`String` | `getServiceFactoryName()` The name of the connection factory within the adapter instance given by ‘serviceAdapterInstanceID’ being used for service invocations.
`Integer` | `getSuspendedEventRetryInterval()` The number of seconds a suspended event should wait before being retried.
`Integer` | `getSuspendedRequestRetryInterval()` The number of seconds a suspended request should wait before being retried.
`String[]` | `getTargets()` The list of targets (managed server names) on which this ApplicationView has been deployed.
`Long` | `getTimeInCurrentState()` The number of milliseconds this AppView has been in its current state.
`IManageableVariableSet` | `getVariableSet()` A set of environment variables for use in this ApplicationView.
`boolean` | `isApplicationViewClientEnabled()` Does this AppView support remote ApplicationView clients (for remote event delivery).
`boolean` | `isAutoSuspended()` Was this AppView auto-suspended.
`boolean` | `isAutoSuspendEnabled()` Indicates if the auto-suspend feature is enabled for this AppView.
`boolean` | `isContainerManagedSignOnEnabled()` Is the container-managed sign-on feature of ApplicationViews enabled.
`void` | `redeploy()` Requests the AppView to reset itself by undeploying if needed, and then deploying.
`void` | `resume()` Requests the transition of the AppView into the deployed state on all servers in the serverList attribute.
`void` | `setApplicationViewClientEnabled(boolean newValue)` Set whether to deliver events to remote ApplicationView clients.
`void` | `setAutoSuspendEnabled(boolean enabled)` Enable or disable the auto-suspend feature for this AppView.
`void` | `setAutoSuspendTimeout(Integer timeout)` Set the number of seconds AI should allow an auto-suspend to last.
`void` | `setContainerManagedSignOnEnabled(boolean newValue)` Set the whether to have the Connector container manage sign-on for new connections being used by this ApplicationView.
`void` | `setEventAdapterInstanceID(String adapterID)` Set the ID of the adapter instance this AppView will use for the delivery of events.
`void` | `setPolicy(String[] roles)` Set the list of role names (defined in WLI User Management) that are allowed to use this ApplicationView.
`void` | `setServiceAdapterInstanceID(String adapterID)` Set the ID of the adapter instance to use for service invocations.
`void` | `setServiceFactoryName(String factoryName)` Set the connection factory name (within the adapter instance returned by the getServiceAdapterInstanceID() method) that will be used for service invocations.
`void` | `setSuspendedEventRetryInterval(Integer interval)` Set the number of seconds a suspended event should wait before being retried.
`void` | `setSuspendedRequestRetryInterval(Integer interval)` Set the number of seconds a suspended request should wait before being retried.
`void` | `setVariableSet(IManageableVariableSet variableSet)` Return the set of environment variables used by this ApplicationView, or null if none are defined.
`void` | `suspend()` Requests the transition of the AppView into the suspended state on all servers in the serverList attribute.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getComments, getName, getNotes, isDefaultedMBean, isPersistenceEnabled, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, touch, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Method Detail

### getDeployState

    Integer getDeployState()

  Logical state of this AppView (‘Deployed’, ‘Undeployed’, ‘Deploying’, ‘Undeploying’, 'Deploy Failed', 'Suspending', ‘Suspended’, 'Resuming').

### getCauseOfCurrentState

    Object getCauseOfCurrentState()

  The throwable/exception or String description that caused the AppView to be in the current state (‘Deploy Failed’ and ‘Suspended’ only) or null if the AppView is in none of these states.

### getDescription

    String getDescription()

  Description of this AppView or null if none was given. Note, available via the descriptor attribute as well, but separated out for efficient summary display.

### getAppViewID

    String getAppViewID()

  Name of the ApplicationView this MBean represents (derived from appName and descriptor.getQualifiedName().toString(). Note, the QualifiedName is available via the descriptor attribute.

### getAppName

    String getAppName()

  Name of the J2EE application that contains the AppView this MBean represents.

### getApplicationViewDescriptor

    IApplicationViewDescriptor getApplicationViewDescriptor()

  This attribute holds all the metadata known about the AppView and can be serialized to/from an XML document (is also Serializable).

### getTargets

    String[] getTargets()
                        throws javax.management.MBeanException

  The list of targets (managed server names) on which this ApplicationView has been deployed.

  Throws:
    `javax.management.MBeanException`

### getServerList

    String[] getServerList()
                           throws javax.management.MBeanException

  The list of servers (managed server names) on which this ApplicationView is present (in some state that may be Deploying, Resuming, Undeploying, etc.).

  Throws:
    `javax.management.MBeanException`

### redeploy

    void redeploy()
                  throws javax.management.MBeanException

  Requests the AppView to reset itself by undeploying if needed, and then deploying. This might be necessary if the initial deployment of the AppView failed for reasons related to an adapter instance, and the administrator wants to redeploy the AppView after the problem with the adapter instance is solved.

  Throws:
    `javax.management.MBeanException`

### suspend

    void suspend()
                 throws javax.management.MBeanException

  Requests the transition of the AppView into the suspended state on all servers in the serverList attribute.

  Throws:
    `javax.management.MBeanException`

### autoSuspend

    void autoSuspend()
                     throws javax.management.MBeanException

  Internal use only. Will cause the AppView to be suspended and will indicate it was auto-suspended.

  Throws:
    `javax.management.MBeanException`

### resume

    void resume()
                throws javax.management.MBeanException

  Requests the transition of the AppView into the deployed state on all servers in the serverList attribute.

  Throws:
    `javax.management.MBeanException`

### isAutoSuspended

    boolean isAutoSuspended()
                            throws javax.management.MBeanException

  Was this AppView auto-suspended. If the AppView is not in the suspended state, this returns false. The cause of the auto-suspend is available via the getCauseOfCurrentState method.

  Throws:
    `javax.management.MBeanException`
  See Also:
    `getCauseOfCurrentState()`

### isAutoSuspendEnabled

    boolean isAutoSuspendEnabled()
                                 throws javax.management.MBeanException

  Indicates if the auto-suspend feature is enabled for this AppView. If so, this AppView may be auto-suspended if requested by the inbound messaging section of the adapter instance being used for events, or if a connection-related exception is detected during service invocation.

  Throws:
    `javax.management.MBeanException`

### setAutoSuspendEnabled

    void setAutoSuspendEnabled(boolean enabled)
                               throws javax.management.MBeanException

  Enable or disable the auto-suspend feature for this AppView.

  Parameters:
    `enabled` - If true, auto-suspend will be enabled for this AppView.
  Throws:
    `javax.management.MBeanException`
  See Also:
    `isAutoSuspendEnabled()`

### getAutoSuspendTimeout

    Integer getAutoSuspendTimeout()
                                  throws javax.management.MBeanException

  The number of seconds AI should allow an auto-suspend to last. After this number of seconds, the AppView will be resumed. Specify –1 to indicate an infinite suspend timeout.

  Throws:
    `javax.management.MBeanException`

### setAutoSuspendTimeout

    void setAutoSuspendTimeout(Integer timeout)
                               throws javax.management.MBeanException

  Set the number of seconds AI should allow an auto-suspend to last.

  Throws:
    `javax.management.MBeanException`
  See Also:
    `getAutoSuspendTimeout()`

### getEventAdapterInstanceID

    String getEventAdapterInstanceID()
                                     throws javax.management.MBeanException

  The ID of adapter instance this AppView is using for the delivery of events. This can be changed by the administrator at runtime to allow switching EIS instances for system maintenance, etc.

  Throws:
    `javax.management.MBeanException`

### setEventAdapterInstanceID

    void setEventAdapterInstanceID(String adapterID)
                                   throws javax.management.MBeanException

  Set the ID of the adapter instance this AppView will use for the delivery of events.

  Parameters:
    `adapterID` - The ID of the adapter instance to use.
  Throws:
    `javax.management.MBeanException`
  See Also:
    `getEventAdapterInstanceID()`

### getServiceAdapterInstanceID

    String getServiceAdapterInstanceID()
                                       throws javax.management.MBeanException

  The ID of the adapter instance this AppView is using for the invocation of services. This can be changed by the administrator at runtime to allow switching EIS instances for system maintenance, etc. Changing this value enters a 'pending' attribute change for this MBean. This change will not be persisted or take effect until you call the applyServiceConnectionChanges method.

  Throws:
    `javax.management.MBeanException`

### setServiceAdapterInstanceID

    void setServiceAdapterInstanceID(String adapterID)
                                     throws javax.management.MBeanException

  Set the ID of the adapter instance to use for service invocations. Note, this change does not take effect until a call to applyServiceConnectionChanges().

  Parameters:
    `adapterID` - The ID of the adapter instance to use.
  Throws:
    `javax.management.MBeanException`
  See Also:
    `getServiceAdapterInstanceID()`, `applyServiceConnectionChanges()`

### getServiceFactoryName

    String getServiceFactoryName()
                                 throws javax.management.MBeanException

  The name of the connection factory within the adapter instance given by ‘serviceAdapterInstanceID’ being used for service invocations. This can be changed by the administrator at runtime to allow switching EIS instances for system maintenance, etc. Changing this value enters a 'pending' attribute change for this MBean. This change will not be persisted or take effect until you call the applyServiceConnectionChanges method.

  Throws:
    `javax.management.MBeanException`
  See Also:
    `applyServiceConnectionChanges()`

### setServiceFactoryName

    void setServiceFactoryName(String factoryName)
                               throws javax.management.MBeanException

  Set the connection factory name (within the adapter instance returned by the getServiceAdapterInstanceID() method) that will be used for service invocations. Note, this change does not take effect until a call to applyServiceConnectionChanges().

  Throws:
    `javax.management.MBeanException`
  See Also:
    `getServiceFactoryName()`, `applyServiceConnectionChanges()`

### isContainerManagedSignOnEnabled

    boolean isContainerManagedSignOnEnabled()
                                            throws javax.management.MBeanException

  Is the container-managed sign-on feature of ApplicationViews enabled.

  Returns:
    True if this ApplicationView is using container-managed sign-on.
  Throws:
    `javax.management.MBeanException`

### setContainerManagedSignOnEnabled

    void setContainerManagedSignOnEnabled(boolean newValue)
                                          throws javax.management.MBeanException

  Set the whether to have the Connector container manage sign-on for new connections being used by this ApplicationView. This feature allows an app server principal to be mapped (by the adapter for this ApplicationView) to a corresponding EIS principal. This feature is disabled by default. If this feature is enabled, the principal map (if any) attached to the connection factory being used for service invocations will be used to map app server principal to EIS principal.

  This method enters a 'pending' attribute change for this deploy info. This change will not be persisted or take effect until you call the applyServiceConnectionChanges method.

  Parameters:
    `newValue` - Pass true to enable container-managed sign-on for this AppView, or false to disable it.
  Throws:
    `javax.management.MBeanException`

### isApplicationViewClientEnabled

    boolean isApplicationViewClientEnabled()
                                           throws javax.management.MBeanException

  Does this AppView support remote ApplicationView clients (for remote event delivery). This support is enabled by default.

  Returns:
    True if this ApplicationView supports remove ApplicationView clients.
  Throws:
    `javax.management.MBeanException`

### setApplicationViewClientEnabled

    void setApplicationViewClientEnabled(boolean newValue)
                                         throws javax.management.MBeanException

  Set whether to deliver events to remote ApplicationView clients.

  Parameters:
    `newValue` - If false, the event delivery machinery in AI will not attempt to post events to remove ApplicationView clients. This can enhance performance of event delivery to ApplicationView control based clients.
  Throws:
    `javax.management.MBeanException`

### applyServiceConnectionChanges

    void applyServiceConnectionChanges()
                                       throws javax.management.MBeanException

  Apply any changes to pending connection attributes. Any of the following attributes require a call to this method:

  - service adapter id
  - factory name
  - container managed sign on flag

  These fields require the ApplicationView EJB to be regenerated. This operation is expensive. We provide this method to allow changes to all three attributes to be 'batched' together. IMPORTANT: NONE of the changes to these attributes will take effect until this method is called. Calling this method without intervening changes to these attributes is a no-op.

  Throws:
    `javax.management.MBeanException`

### getVariableSet

    IManageableVariableSet getVariableSet()
                                          throws javax.management.MBeanException

  A set of environment variables for use in this ApplicationView.

  Throws:
    `javax.management.MBeanException`

### setVariableSet

    void setVariableSet(IManageableVariableSet variableSet)
                        throws javax.management.MBeanException

  Return the set of environment variables used by this ApplicationView, or null if none are defined.

  Throws:
    `javax.management.MBeanException`
  See Also:
    `getVariableSet()`

### getTimeInCurrentState

    Long getTimeInCurrentState()
                               throws javax.management.MBeanException

  The number of milliseconds this AppView has been in its current state.

  Throws:
    `javax.management.MBeanException`

### getSuspendedRequestRetryInterval

    Integer getSuspendedRequestRetryInterval()
                                             throws javax.management.MBeanException

  The number of seconds a suspended request should wait before being retried. For example, if an AppView or adapter instance for an async request is suspended, the async request is placed back in the async request queue, and will be retried after the given number of seconds has passed.

  Throws:
    `javax.management.MBeanException`

### setSuspendedRequestRetryInterval

    void setSuspendedRequestRetryInterval(Integer interval)
                                          throws javax.management.MBeanException

  Set the number of seconds a suspended request should wait before being retried.

  Throws:
    `javax.management.MBeanException`
  See Also:
    `getSuspendedRequestRetryInterval()`

### getSuspendedEventRetryInterval

    Integer getSuspendedEventRetryInterval()
                                           throws javax.management.MBeanException

  The number of seconds a suspended event should wait before being retried. For example, if an AppView or adapter instance for an event is suspended, the event is placed back in the event 'parking' queue, and will be retried after the given number of seconds has passed.

  Throws:
    `javax.management.MBeanException`

### setSuspendedEventRetryInterval

    void setSuspendedEventRetryInterval(Integer interval)
                                        throws javax.management.MBeanException

  Set the number of seconds a suspended event should wait before being retried.

  Throws:
    `javax.management.MBeanException`
  See Also:
    `getSuspendedEventRetryInterval()`

### getPolicy

    String[] getPolicy()
                       throws javax.management.MBeanException

  A list of role names (defined in WLI User Management) that are allowed to use this ApplicationView (use is defined as invoking services, and subscribing for and receiving events).

  Throws:
    `javax.management.MBeanException`

### setPolicy

    void setPolicy(String[] roles)
                   throws javax.management.MBeanException

  Set the list of role names (defined in WLI User Management) that are allowed to use this ApplicationView.

  Throws:
    `javax.management.MBeanException`
  See Also:
    `getPolicy()`

### getInheritedPolicy

    String getInheritedPolicy()
                              throws javax.management.MBeanException

  A WLS policy expression inherited from the base EJB resource.

  Throws:
    `javax.management.MBeanException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD